Bug 821923 - ABRT "Shared library is missing debugging information" (xavs-debuginfo installed with yum)
ABRT "Shared library is missing debugging information" (xavs-debuginfo instal...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: abrt (Show other bugs)
16
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: abrt
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-15 14:53 EDT by Xavier Hourcade
Modified: 2013-07-02 14:59 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 02:53:49 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Xavier Hourcade 2012-05-15 14:53:25 EDT
Description of problem:

  ABRT reports missing debugging information, despite
  - succeeding retrieval for other libs from he same repo
  - debuginfo package being installed directly with yum

  Is it an ABRT issue, or this library packaging issue ?

Version-Release number of selected component (if applicable):

  abrt-2.0.7-2.fc16.x86_64 @fedora
  xavs-debuginfo-0.1.51-2.fc16.x86_64 @atrpms-debuginfo
  
How reproducible:

  Always

Steps to Reproduce:
  
  1. Install with yum, on Fedora 16 KDE up to date:
     ffmeg and xavs-debuginfo 0.1.51-2, from @atrpms
     guvcview and guvcview-debuginfo 1.5.3-1 from @rpmfusion-testing

  2. guvcview runs fine, but crashes while closing as reported here
     https://bugzilla.rpmfusion.org/show_bug.cgi?id=2299

  3. ABRT catches the exception, use wizard with local GNU debugger
  
Actual results:

  Backtrace is generated, but indicates:
    0x0000003775c032e0  0x0000003775c46668  Yes (*)     /usr/lib64/libxavs.so.1
    (*): Shared library is missing debugging information.

Expected results:

  Backtrace is generated, no debugging information is missing, if possible ^^

Additional info:

  1. Yum *did* succeed to install xavs-debuginfo-0.1.51-2.fc16.x86_64
     but failed to install others, reporting broken dependencies :
      fmpeg-debuginfo-0.10.2-54.fc16.x86_64
      x264-debuginfo-0.118-17_20111111.2245.fc16.x86_64

  2. ABRT *did* succeed to retrieve debugging info for these (-how could ?-)
     but failed to retrieve or use the installed xavs-debuginfo contents.

  # find / -mount -name *libxavs* -exec ls -la \{\} \;
-rw-r--r--. 1 abrt xaho 15465 May 15 05:08 /var/cache/abrt-di/usr/src/debug/ffmpeg-0.10.2/libavcodec/libxavs.c
total 108
drwxr-xr-x.    2 root root  4096 Mar 20 20:37 .
drwxr-xr-x.  434 root root 65536 May 10 15:03 ..
-rw-r--r--.    1 root root    64 Mar 20 20:37 checksum_data
-rw-r--r--.   18 root root     6 Mar 20 20:37 checksum_type
-rw-r--r--.   18 root root    43 Mar 20 20:37 command_line
-rw-r--r--.   18 root root     6 Mar 20 20:37 from_repo
-rw-r--r--.    9 root root    10 Mar 20 20:37 from_repo_revision
-rw-r--r--.    9 root root    10 Mar 20 20:37 from_repo_timestamp
-rw-r--r--. 1024 root root     4 Nov 29 22:21 installed_by
-rw-r--r--.   25 root root     3 Mar 20 20:37 reason
-rw-r--r--.  761 root root     2 Nov 29 22:21 releasever
-rwxr-xr-x. 1 root root 361680 Nov  3  2011 /usr/lib64/libxavs.so.1
Comment 1 Fedora End Of Life 2013-01-16 04:53:47 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Fedora End Of Life 2013-02-13 02:53:52 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.